System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.UrlEncodedParameterWriter

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.The client-side class provides methods to write parameter name-value pairs to the body of an HTTP request with the MIME type application/x-www-form-urlencoded.

You typically will not need to use directly. When the Wsdl.exe tool generates client proxy code according to the HTTP-POST implementation, it applies the to each Web method and sets the attribute's property to .

Writes outgoing request parameters for Web services implemented using HTTP with name-value pairs encoded like an HTML form rather than as a SOAP message.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  The outgoing request allows HTTP and other transport protocols.

  Initializes the outgoing HTTP request.

  The outgoing request. The Web method parameter values. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean a

  The property determines whether the method is invoked.

  Gets a value that indicates whether Web method parameter values are serialized to the outgoing HTTP request body.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  The method calls the method.

  Serializes Web method parameter values into a stream representing the outgoing HTTP request body.

  An input stream for the outgoing HTTP request's body. The Web method parameter values. 1.0.5000.0 2.0.0.0